* {
	box-sizing: border-box;
	padding: 0;
	margin: 0;
}

html {-webkit-text-size-adjust: 100%}

body {
	font: normal 14px -apple-system, BlinkMacSystemFont, Roboto, helvetica, arial, sans-serif;
	margin: 0;
	margin-bottom: 30px;
}


header,
nav,
main {
	width: 100%;
	max-width: 600px;
	margin: 0 auto;
}


header img {width: 100%}


nav {line-height: 30px}
nav ul {list-style: none}
nav a {
	color: #888;
	text-decoration: none;
	padding: 5px 10px;
}
nav a:hover {color: black}
nav a.active {color: #ccc; color: #333; text-shadow: 1px 1px 2px #aaa}


main {padding: 0 5px}

main h1 {
	text-align: center;
	margin-top: 30px;
	margin-bottom: 5px;
	color: #666;
	font-size: 24px;
	font-weight: normal;
}

section {padding: 15px 0}
section.old {margin-top: 15px; padding-top: 30px; border-top: 15px solid #ddd}

section div {
	border-left: 5px solid #a00;
	padding: 8px 10px 5px 10px;
	background: #eee;
	margin: 10px 0;
}

section h1 {
	font-weight: bold;
	text-align: left;
	margin-top: 30px;
	margin-bottom: 5px;
	color: #333;
	font-size: 16px;
}
section h1:first-child {margin-top: 0}
section h2 {
	margin-top: 10px;
	margin-bottom: 2px;
	color: #777;
	font-size: 14px;
}
section p {
	line-height: 1.3;
	margin-bottom: 5px;
}
section a {
	color: #933;
	text-decoration: none;
}
section ol,
section ul {margin: 8px 0 8px 20px}
section a:hover {text-decoration: underline}

section img {max-width: 100%; display: block; margin: 30px auto}

section .caption {display: block; text-align: center; font-size: 80%; font-style: italic; margin: 0 0 20px 0}

section table {border-collapse: collapse; width: 100%}
section table td {
	border-bottom: 1px solid #eee;
	line-height: 1.5;
	vertical-align: top;
	padding-right: 5px;
}
section table tr:first-child td {border-top: 1px solid #eee}

footer {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	text-align: center;
	padding: 4px;
	border-top: 1px solid #ddd;
	background: #f8f8f8;
	color: #777;
	font-size: 10px;
}
footer h1 {
	margin: 0;
	line-height: 15px;
	height: 15px;
	font: inherit;
	color: #955;
	margin-bottom: 4px;
}

form {
	margin: 10px auto 40px auto;
	width: 100%;
	max-width: 400px;
}

label {
	display: flex;
	flex-wrap: nowrap;
	margin: 5px 0;
	padding: 0;
	width: 100%;
}
input:not([type=checkbox]),
textarea,
select,
button {
	margin: 0;
	width: 100%;
	border: 1px solid #ccc;
	border-radius: 5px;
	padding: 5px;
	-webkit-appearance: none;
	font-family: inherit;
	font-size: 16px;
	margin: 5px 0;
}
button {display: block; width: 120px; margin: 0 auto; transition: all 200ms}
button:hover {background: rgb(62, 119, 243); color: white}
label span {
	width: 110px;
	min-width: 110px;
	padding: 5px;
	background: #eee;
	border: 1px solid #ccc;
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
	border-right: 0;
	font-size: 14px;
	color: #888
}
form label input {
	width: auto;
	flex: 1;
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}
form textarea {height: 50px}


@media (prefers-color-scheme: dark) {
	nav li {border-color: #666}
	nav li a {color: #aaa}
	nav a:hover {color: white}
	nav a.active {color: #888}
	nav a.active {color: #ccc; color: white; text-shadow: none}
	section h1 {color: #ddd}
	section h2 {color: #aaa}
	section p {color: #bbb}
	body {background: #333; color: #ccc; border-color: #666}
	footer {background: #222; border-color: #444}
	footer p {color: #777}
	section.old {border-top-color: #555}
	section div {background: #555}
	section div h1 {color: white}
	section div p {color: #eee}
	section table td,
	section table tr:first-child td {border-color: #444}
	/*input:not([type=checkbox]),
	textarea,
	select {color: #eee; outline: none; background-color: #2b2b2b; border-color: #555}
	input:-webkit-autofill,
	input:-webkit-autofill:hover, 
	input:-webkit-autofill:focus, 
	input:-webkit-autofill:active  {box-shadow: 0 0 0 30px #444 inset !important; color: rgb(167, 167, 17)}
	input:-webkit-autofill {-webkit-text-fill-color: rgb(160, 160, 93) !important}*/
}

@media only screen and (min-width: 601px) {
	nav h1 {display: none}
	nav ul {
		text-align: center;
		word-spacing: -4px;
	}
	nav li {
		display: inline;
		border-right: 1px solid #eee;
		word-spacing: 0;
	}
	nav li:last-child {border-right: 0}
	nav a:hover {border-bottom: 3px solid #ddd}
}

@media only screen and (max-width: 600px) {
	section p {font-size: 16px}
	nav a {
		color: #333;
		display: block;
	}
	footer {font-size: 12px}
	
	body {margin-top: 90px}
	header {
		position: fixed;
		top: 0;
		overflow: hidden;
		max-height: 75px;
		z-index: 100;
	}
	nav {
		position: fixed;
		top: 0;
		z-index: 1000;
	}
	nav h1 {
		font-size: 30px;
		line-height: 74px;
		width: 40px;
		padding: 0 10px;
		color: white;
	}
	nav ul {
		border: 1px solid #ddd;
		background: white;
		transition: all 400ms;
		transform: scaleY(100%);
		transform-origin: top;
		opacity: 1;
		width: 100%;
	}
	nav.hide {max-height: 0}
	nav.hide ul {transform: scaleY(0); opacity: 0.2}
	nav li {
		display: block;
		text-align: left;
		font-size: 20px;
		line-height: 40px;
		border-bottom: 1px solid #eee;
	}
}

@media (prefers-color-scheme: dark) and (max-width: 601px) {
	nav ul {background-color: #222; border-color: #444}
	nav li {border-color: #444;}
}

.schema section h1 {background: #eee; margin: 0; padding: 2px 3px; color: #555}
.schema td:first-child {width: 1.8em; text-align: right}
.schema td:nth-child(2) {font-style: italic; width: 60px; color: #a55}
.schema tr.act td {font-weight: bold}
.schema tr.act td:nth-child(2) {font-weight: normal}

.schema img {display: none}
